## org.apache.poi.hssf.util
Class CellRangeAddress

    java.lang.Object
      org.apache.poi.ss.util.CellRangeAddressBase
          org.apache.poi.ss.util.CellRangeAddress
              org.apache.poi.hssf.util.CellRangeAddress

Deprecated. use `CellRangeAddress`

    public class CellRangeAddress

extends CellRangeAddress

See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range Address'

Note - `SelectionRecord` uses the BIFF5 version of this structure

Author:
  Dragos Buleandra (dragos.buleandra@trade2b.ro)

Field Summary

Fields inherited from class org.apache.poi.ss.util.CellRangeAddress
`ENCODED_SIZE`

Constructor Summary
`CellRangeAddress(int firstRow, int lastRow, int firstCol, int lastCol)` Deprecated.
`CellRangeAddress(RecordInputStream in)` Deprecated.

Method Summary

Methods inherited from class org.apache.poi.ss.util.CellRangeAddress
`copy, formatAsString, formatAsString, getEncodedSize, serialize, serialize, valueOf`

Methods inherited from class org.apache.poi.ss.util.CellRangeAddressBase
`getFirstColumn, getFirstRow, getLastColumn, getLastRow, getNumberOfCells, isFullColumnRange, isFullRowRange, isInRange, setFirstColumn, setFirstRow, setLastColumn, setLastRow, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CellRangeAddress

    public CellRangeAddress(int firstRow,
                            int lastRow,
                            int firstCol,
                            int lastCol)

  Deprecated.

### CellRangeAddress

    public CellRangeAddress(RecordInputStream in)

  Deprecated.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.